GET api/list/pm/events?pageSize={pageSize}&pageNumber={pageNumber}&accountIds[0]={accountIds[0]}&accountIds[1]={accountIds[1]}&tenancyRoleId={tenancyRoleId}&order={order}

Returns a list of Events in PM Processes this list API request. The parameter and response sections describe the data exchanged with the API.

Request Information

URI Parameters

NameDescriptionTypeAdditional information
pageSize

The page size value supplied with the request.

integer

Default value is 20

pageNumber

The page number value supplied with the request.

integer

Default value is 1

accountIds

The account ids value supplied with the request.

Collection of integer

None.

tenancyRoleId

The unique identifier of the tenancy role resource.

integer

None.

order

The order value supplied with the request.

ListOrder

Default value is Ascending

Body Parameters

None.

Response Information

Resource Description

The response returned after the operation completes.

PagedCollectionDataContractOfAccountingEventDataContract
NameDescriptionTypeAdditional information
TotalCount

The total count value.

integer

None.

CurrentCount

The current count value.

integer

None.

PageSize

The page size value.

integer

None.

PageNumber

The page number value.

integer

None.

Collection

The collection of collection.

Collection of AccountingEventDataContract

None.

Response Formats

application/json, text/json

Sample:
{
  "TotalCount": 1,
  "CurrentCount": 2,
  "PageSize": 1,
  "PageNumber": 1,
  "Collection": [
    {
      "Id": 1,
      "Name": "sample string 2",
      "AccountId": 3,
      "Description": "sample string 4",
      "CreatedDate": "2026-07-22T10:16:22.0229497Z",
      "EventType": {
        "Id": 1,
        "Name": "sample string 2",
        "SystemName": "sample string 3"
      },
      "CreatedById": 6
    },
    {
      "Id": 1,
      "Name": "sample string 2",
      "AccountId": 3,
      "Description": "sample string 4",
      "CreatedDate": "2026-07-22T10:16:22.0229497Z",
      "EventType": {
        "Id": 1,
        "Name": "sample string 2",
        "SystemName": "sample string 3"
      },
      "CreatedById": 6
    }
  ]
}